Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Classes | Static Public Member Functions | List of all members
LatBuilder::Parser::Search< LAT > Class Template Reference

Parser for coordinate-uniform figures of merit. More...

`#include <Search.h>`

## Static Public Member Functions
template<class FIGURE >
static std::unique_ptr < LatBuilder::Task::Search < LAT > > | parse (const std::string &construction, LatBuilder::SizeParam< LAT > size, LatBuilder::Dimension dimension, FIGURE figure)
| Parses a string specifying a construction method. More...
template<class FIGURE , class FUNC , typename... ARGS>
static void | parse (const std::string &str, LatBuilder::SizeParam< LAT > size, LatBuilder::Dimension dimension, FIGURE figure, FUNC &&func, ARGS &&...args)
| Parses a string specifying a construction method. More...

## Detailed Description

### template<LatBuilder::LatType LAT>
class LatBuilder::Parser::Search< LAT >

Parser for coordinate-uniform figures of merit.

## Member Function Documentation

template<LatBuilder::LatType LAT>
template<class FIGURE >

static std::unique_ptr<LatBuilder::Task::Search<LAT> > LatBuilder::Parser::Search< LAT >::parse | ( | const std::string & | construction,
|  | LatBuilder::SizeParam< LAT > | size,
|  | LatBuilder::Dimension | dimension,
|  | FIGURE | figure
| ) |  |
| inline static

Parses a string specifying a construction method.

Example strings: `CBC`, `fast-CBC`, `random-CBC:30`

Returns
  A pointer to a Search instance.

template<LatBuilder::LatType LAT>
template<class FIGURE , class FUNC , typename... ARGS>

static void LatBuilder::Parser::Search< LAT >::parse | ( | const std::string & | str,
|  | LatBuilder::SizeParam< LAT > | size,
|  | LatBuilder::Dimension | dimension,
|  | FIGURE | figure,
|  | FUNC && | func,
|  | ARGS &&... | args
| ) |  |
| inline static

Parses a string specifying a construction method.

Calls `func` with the newly created search instance as its first argument, and `args` as additional arguments.

References LatBuilder::Task::cbc(), LatBuilder::createLatDef(), LatBuilder::Task::eval(), LatBuilder::Task::exhaustive(), LatBuilder::Task::extend(), LatBuilder::Task::fastCBC(), LatBuilder::Task::korobov(), LatBuilder::Task::random(), LatBuilder::Task::randomCBC(), and LatBuilder::Task::randomKorobov().

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Parser/Search.h